events.listen("recipes", function (e) {
  e.custom({
    type: "extendedcrafting:shaped_table",
    pattern: [" A ", "ABA", " A "],
    key: {
      A: {
        item: "pipez:ultimate_upgrade",
      },
      B: {
        item: "mysticalagradditions:creative_essence",
      },
    },
    result: {
      item: "pipez:infinity_upgrade",
    },
  });
});
